Subject: Re: [Masque] HTTP/3 Datagram Design Discussions

From: David Schinazi <[email-masked]>
Date: Tue, 4 May 2021 17:52:32 -0700

Hi everyone,

I want to thank everyone who engaged on the issues from that previous email.
Based on those conversations, I wrote up a PR that attempts to address the
first four issues (41,42,43,44). The PR reflects my personal understanding
of
the consensus that appears to be emerging in those issues, and I'd love to
get
feedback from the WG on this.

The PR is available at:
https://github.com/ietf-wg-masque/draft-ietf-masque-h3-datagram/pull/52

and an HTML version of what the result would look like is available at:
https://ietf-wg-masque.github.io/draft-ietf-masque-h3-datagram/two_layer_capsule/draft-ietf-masque-h3-datagram.html

Please send comments on the PR or the issues, or in response to this email.
My hope is to merge something in the near future and publish a revision that
can be used for interop testing, that way we can confirm early whether this
design works.

Thanks,
David

On Fri, Apr 16, 2021 at 4:27 PM David Schinazi <[email-masked]>
wrote:

> Hi MASQUE enthusiasts,
>
> Thanks everyone for the great discussion at the interim yesterday. As
> promised, I've filed GitHub issues to continue that conversation, roughly
> one issue per slide. I think these are the important architectural points
> that we need to decide on before we figure out the encoding:
>
> #41
> <https://github.com/ietf-wg-masque/draft-ietf-masque-h3-datagram/issues/41>:
> 2-layer design
> #44
> <https://github.com/ietf-wg-masque/draft-ietf-masque-h3-datagram/issues/44>:
> mechanism to register (header vs message)
> #43
> <https://github.com/ietf-wg-masque/draft-ietf-masque-h3-datagram/issues/43>:
> ability to reject registrations
> #42
> <https://github.com/ietf-wg-masque/draft-ietf-masque-h3-datagram/issues/42>:
> unidirectional vs bidirectional
> #45
> <https://github.com/ietf-wg-masque/draft-ietf-masque-h3-datagram/issues/45>:
> assuming the 2-layer design, is the context ID optional?
>
> Please comment on the issues, let's keep the conversation going and reach
> a resolution on these!
>
> Thanks,
> David
>

---

From: David Schinazi <[email-masked]>
Date: Thu, 13 May 2021 15:22:38 -0700

Hello again,

Thanks to everyone for the comments and suggestions on PR #52.
Since the feedback was positive, I've gone ahead and merged it,
and submitted the result as draft-ietf-masque-h3-datagram-01
<https://datatracker.ietf.org/doc/html/draft-ietf-masque-h3-datagram-01>.
This will allow us to implement that version of the draft and work
on achieving interop between implementations.

David

---

From: Lucas Pardue <[email-masked]>
Date: Thu, 13 May 2021 23:38:20 +0100

Thanks David and everyone that participated.

I've started some rough code in a branch of quiche, in the coming week(s?)
it should be interop ready. If anyone wants to interop with me, please get
in touch!

Cheers,
Lucas

On Thu, May 13, 2021 at 11:23 PM David Schinazi <[email-masked]>
wrote:

>> first four issues (41,42,43,44). The PR reflects my personal
>> understanding of
>> the consensus that appears to be emerging in those issues, and I'd love
>> to get
>>> Please comment on the issues, let's keep the conversation going and
>>> reach a resolution on these!
>>>
>>> Thanks,
>>> David
>>>
>> --
> Masque mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/masque
>